Package Reporter should pick up and report errors

Bug #732490 reported by Kevin McDermott on 2011-03-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Thomas Herve

Bug Description

Reported by customer...

The package-reporter was erroring, but everything appeared to be up-to-date in Landscape, we should report errors back to Landscape.

# dell OMSA
deb http://ftp.sara.nl/pub/sara-omsa dell sara

2011-03-10 10:21:43,960 WARNING [MainThread]
'/usr/lib/landscape/smart-update' exited with status 1 (error: Channel
'dell - sara' signed with unknown key
error: Download of Release failed for channel 'sarge - contrib': File
not found
)
2011-03-10 10:21:43,987 INFO [MainThread] Received 0 package hash =>
id translations, 2 hashes are unknown.
2011-03-10 10:21:48,337 ERROR [MainThread] None
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/twisted/internet/defer.py",
line 317, in _runCallbacks
    self.result = callback(self.result, *args, **kw)
  File "/usr/lib/python2.5/site-packages/landscape/package/reporter.py",
line 69, in <lambda>
    result.addCallback(lambda x: self.handle_tasks())
  File
"/usr/lib/python2.5/site-packages/landscape/package/taskhandler.py",
line 107, in handle_tasks
    return self._handle_next_task(None)
  File
"/usr/lib/python2.5/site-packages/landscape/package/taskhandler.py",
line 121, in _handle_next_task
    result = self.handle_task(task)
  File "/usr/lib/python2.5/site-packages/landscape/package/reporter.py",
line 212, in handle_task
    return self._handle_package_ids(message)
  File "/usr/lib/python2.5/site-packages/landscape/package/reporter.py",
line 239, in _handle_package_ids
    result = self._handle_unknown_packages(unknown_hashes)
  File "/usr/lib/python2.5/site-packages/landscape/package/reporter.py",
line 282, in _handle_unknown_packages
    skeleton = self._facade.get_package_skeleton(package)
  File "/usr/lib/python2.5/site-packages/landscape/package/facade.py",
line 140, in get_package_skeleton
    return build_skeleton(pkg, with_info)
  File "/usr/lib/python2.5/site-packages/landscape/package/skeleton.py",
line 89, in build_skeleton
    skeleton.installed_size = info.getInstalledSize()
  File "/usr/lib/python2.5/site-packages/smart/backends/deb/loader.py",
line 71, in getInstalledSize
    return long(size)*1024
ValueError: invalid literal for long() with base 10: '221M'

Changed in landscape-client:
importance: Undecided → Medium
milestone: none → 11.04
Changed in landscape-client:
milestone: 11.04 → 11.05
Thomas Herve (therve) on 2011-04-29
Changed in landscape-client:
assignee: nobody → Thomas Herve (therve)
Thomas Herve (therve) on 2011-04-29
Changed in landscape-client:
status: New → In Progress
Thomas Herve (therve) on 2011-05-02
Changed in landscape-client:
status: In Progress → Fix Committed
Andreas Hasenack (ahasenack) wrote :

Verified with new client package builds, and the server already has some errors in the new table.

tags: added: verified

Hello Kevin, or anyone else affected,

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Andreas Hasenack (ahasenack) wrote :

Verified working in lucid with landscape-client-11.07.1.1-0ubuntu0.10.04.0 from proposed:

root@ls1-lucid:/var/lib/smart# apt-cache policy landscape-client
landscape-client:
  Installed: 11.07.1.1-0ubuntu0.10.04.0
  Candidate: 11.07.1.1-0ubuntu0.10.04.0
  Version table:
 *** 11.07.1.1-0ubuntu0.10.04.0 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-proposed/main Packages
        100 /var/lib/dpkg/status
     11.02-0ubuntu0.10.04.1 0
        500 http://security.ubuntu.com/ubuntu/ lucid-updates/main Packages
     1.5.0.1-0ubuntu0.10.04.0 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages

Corrupted sources.list to trigger an error:

==> /var/log/landscape/package-reporter.log <==
2011-07-27 23:39:51,790 WARNING [MainThread] '/usr/lib/landscape/smart-update' exited with status 1 (error: Download of Release failed for channel 'lucid-updates - universe': Couldn't resolve host 'us.archive.ubuntu.comcomcom'
)

Error was reported to landscape (see screenshot).

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Hello Kevin, or anyone else affected,

Accepted landscape-client into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Hello Kevin, or anyone else affected,

Accepted landscape-client into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Andreas Hasenack (ahasenack) wrote :

Introduced an error in sources.list and verified that it was reported back to the landscape server when using the proposed Maverick and Natty packages.

Changed in landscape-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers